--CREATE SCHEMA WH
--go
CREATE function [wh].[IsZero]
(
    @Number FLOAT,
    @IsZeroNumber FLOAT
)
RETURNS FLOAT
AS
BEGIN
    IF (@Number = 0)
    BEGIN
        SET @Number = @IsZeroNumber
    END
    RETURN (@Number)
END